
Name:           share-like-connect
Summary:        Share, like and connect concept for Plasma Active
Version:        0.3
Release:        5%{?dist}

License:        LGPLv2+
URL:            https://projects.kde.org/projects/playground/base/share-like-connect
Source0:        http://download.kde.org/stable/active/3.0/src/%{name}-%{version}.tar.xz

BuildRequires:  kdelibs4-devel
BuildRequires:  kde-runtime-devel
BuildRequires:  pkgconfig(libkactivities)

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

# Fix missing linking to KDE4_QTGUI_LIBS and fix messed qt stuff
# upstream me! -- rex
Patch0:         share-like-connect-0.2-fix-build.patch

%description
Share, like and connect concept for Plasma Active.

Share-like-connect is part of Plasma Active project.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .fix-build


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc LICENSE.LGPL-2 LICENSE.LGPL-2.1
%{_kde4_libdir}/kde4/imports/org/kde/plasma/slccomponents/
%{_kde4_libdir}/kde4/plasma_dataengine_sharelikeconnect.so
%{_kde4_libdir}/kde4/sharelikeconnect_provider_*.so
%{_kde4_libdir}/libactivecontentservice.so
%{_kde4_libdir}/libsharelikeconnect.so
%{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kde.sharelikeconnect/
%{_kde4_datadir}/kde4/apps/plasma/services/slcservice.operations
%{_kde4_datadir}/kde4/apps/plasma/slcmenuitems/
%{_kde4_datadir}/kde4/services/plasma-applet-sharelikeconnect.desktop
%{_kde4_datadir}/kde4/services/plasma-dataengine-sharelikeconnect.desktop
%{_kde4_datadir}/kde4/services/sharelikeconnect-provider-*.desktop
%{_kde4_datadir}/kde4/servicetypes/plasma-sharelikeconnect-provider.desktop

%files devel
%{_kde4_includedir}/activecontentservice/


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 27 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3-1
- 0.3

* Thu Aug 02 2012 Than Ngo <than@redhat.com> - 0.2-4
- don't link to nepomukdatamanagement

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Radek Novacek <rnovacek@redhat.com> 0.2-2
- Rebuild with 4.8.1
- Add BR: kde-runtime-devel

* Sat Feb 18 2012 Radek Novacek <rnovacek@redhat.com> 0.2-1
- Initial package
